FS = load('FS_RespProfs_Norm.mat');
RS = load('RS_RespProfs_Norm.mat');
%Resps = nanmean(ie(:,12:18),2);
%ie = in early (trials 1:3)
%im1 = in middle 1 (2:4)
%im2 = in middle 2 (3:5)
%il = in late (4:6)
%% Plot Traces
t = -0.1:0.025:0.35;
figure; 
plot(t,smooth(nanmean(FS.ie)/0.025,3),'k-',...
     t,smooth(nanmean(FS.ie)/0.025+ nanstd(FS.ie)/0.025,3),'k-',...
      t,smooth(nanmean(FS.ie)/0.025- nanstd(FS.ie)/0.025,3),'k-');
  
hold on

plot(t,smooth(nanmean(FS.il)/0.025,3),'c-',...
     t,smooth(nanmean(FS.il)/0.025+ nanstd(FS.il)/0.025,3),'c-',...
     t,smooth(nanmean(FS.il)/0.025- nanstd(FS.il)/0.025,3),'c-');
  
xlim([-0.05 0.3]); ylim([2 5])

title('FS Detect in early vs late')

figure; 
plot(t,smooth(nanmean(RS.ie)/0.025,3),'k-',...
     t,smooth(nanmean(RS.ie)/0.025+ nanstd(RS.ie)/0.025,3),'k-',...
      t,smooth(nanmean(RS.ie)/0.025- nanstd(RS.ie)/0.025,3),'k-');
  
hold on

plot(t,smooth(nanmean(RS.il)/0.025,3),'r-',...
     t,smooth(nanmean(RS.il)/0.025+ nanstd(RS.il)/0.025,3),'r-',...
     t,smooth(nanmean(RS.il)/0.025- nanstd(RS.il)/0.025,3),'r-');
  
xlim([-0.05 0.3]); ylim([1.5 2.5])
title('RS Detect in early vs late')


figure; 
plot(t,smooth(nanmean(FS.oe)/0.025,3),'k-',...
     t,smooth(nanmean(FS.oe)/0.025+ nanstd(FS.oe)/0.025,3),'k-',...
      t,smooth(nanmean(FS.oe)/0.025- nanstd(FS.oe)/0.025,3),'k-');
  
hold on

plot(t,smooth(nanmean(FS.ol)/0.025,3),'c-',...
     t,smooth(nanmean(FS.ol)/0.025+ nanstd(FS.ol)/0.025,3),'c-',...
     t,smooth(nanmean(FS.ol)/0.025- nanstd(FS.ol)/0.025,3),'c-');
  
xlim([-0.05 0.3]); ylim([2 5])

title('FS Detect out early vs late')


figure; 
plot(t,smooth(nanmean(RS.oe)/0.025,3),'k-',...
     t,smooth(nanmean(RS.oe)/0.025+ nanstd(RS.oe)/0.025,3),'k-',...
      t,smooth(nanmean(RS.oe)/0.025- nanstd(RS.oe)/0.025,3),'k-');
  
hold on

plot(t,smooth(nanmean(RS.ol)/0.025,3),'r-',...
     t,smooth(nanmean(RS.ol)/0.025+ nanstd(RS.ol)/0.025,3),'r-',...
     t,smooth(nanmean(RS.ol)/0.025- nanstd(RS.ol)/0.025,3),'r-');
  
xlim([-0.05 0.3]); ylim([1.5 2.5])
title('RS Detect out early vs late')


figure(1);clf
subplot(121);
In = plotInStuff(FS,gca); hold on;
Out = plotOutStuff(FS,gca);
plot(2,In/0.025,'k.')
plot(1,Out/0.025,'k.')

axis('square');
xlim([0 6]);
ylim([0 5]);
box off;
set(gca,'tickdir','out')
xticks([1 2])
xticklabels({'Out','In'})

title('FS')

subplot(122);
In = plotInStuff(RS,gca); hold on;
Out = plotOutStuff(RS,gca);
plot(2,In/0.025,'k.')
plot(1,Out/0.025,'k.')
axis('square');
xlim([0 6]);
ylim([0 2.5]);
box off;
set(gca,'tickdir','out')
xticks([1 2])
xticklabels({'Out','In'})
title('RS')
%savefig('SpikePlots_withPoints')
%print(gcf,'SpikePlots_withPoints_La.pdf','-dpdf','-r300','-painters')

%savefig('spont_barPlots')
%savefig('spontSummary_Spikes_BarPlots_Norm');
%print(gcf,'spontRespSummary_Spikes_BarPlots_Norm.pdf','-dpdf','-r300','-painters')
%savefig('LateComponentSummary')
%print(gcf,'LateComponentSummary.pdf','-dpdf','-r300','-painters')

function fI = plotInStuff(L,a)
%errorbar(1,nanmean(L.eI),nanstd(L.eI)/sqrt(length(L.eI)),'k.');hold on;
%errorbar(2,nanmean(L.m1I),nanstd(L.m1I)/sqrt(length(L.m1I)),'k.');hold on;
%errorbar(3,nanmean(L.mI),nanstd(L.mI)/sqrt(length(L.mI)),'k.');hold on;
%errorbar(4,nanmean(L.lI),nanstd(L.lI)/sqrt(length(L.lI)),'k.');hold on;

x = 1:4;
x=x';
ie = nanmean(L.ie(:,12:18),2);
im1 = nanmean(L.im1(:,12:18),2);
im2= nanmean(L.im2(:,12:18),2);
il = nanmean(L.il(:,12:18),2);
oe =  nanmean(L.oe(:,12:18),2);
ol = nanmean(L.ol(:,12:18),2);

for i = 1:size(L.il,1)
    subbedLate(i,:) = L.il(i,:) - nanmean(L.il(i,2:4));
end
fI = il;

il_other = max(subbedLate,[],2);
actual = il_other/0.025;
predicted = 1.802*1.22
p_e = (predicted-actual)/predicted*100;
mu = nanmean(il_other)/.025
std = nanstd(il_other)/.025
%y = [nanmean(ie) nanmean(im1) nanmean(im2) nanmean(il)]';
%y = -1.*y;
%y = y./nanmean(oe);

% f = fit(x,y,'poly1');
% fI = f;
hold on;
%plot(a,x,f(x),'k-','linewidth',1);
%io_diff = nanmean(il-ol)
io_diff = (nanmean(il) - nanmean(ol))/.025

io_diff_std = (nanstd(il) + nanstd(ol))/.025
%io_diff_std = nanstd(il-ol)
p_el = ranksum(il,ie)
p_io = ranksum(il,ol)


%errorbar([1 2],[nanmean(ie) nanmean(il)]./.025,[nanstd(ie) nanstd(il)]./.025,'k.')
%bar([1 2],[nanmean(ie) nanmean(il)]./.025)
%errorbar(5,nanmean(il_other)/.025,nanstd(il_other)/0.025);
%bar(5,nanmean(il_other)/0.025);

errorbar([2.5],[nanmean(il)]./.025,[nanstd(il)]./.025,'k.')
%bar([2],[nanmean(il)]./.025)
%nanmean(ie)/.025;
%nanmean(il)/.025;

%ranksum(ie,il)
end


function fI = plotOutStuff(L,a)
%errorbar(1,nanmean(L.eI),nanstd(L.eI)/sqrt(length(L.eI)),'k.');hold on;
%errorbar(2,nanmean(L.m1I),nanstd(L.m1I)/sqrt(length(L.m1I)),'k.');hold on;
%errorbar(3,nanmean(L.mI),nanstd(L.mI)/sqrt(length(L.mI)),'k.');hold on;
%errorbar(4,nanmean(L.lI),nanstd(L.lI)/sqrt(length(L.lI)),'k.');hold on;

x = 1:4;
x=x';
ie = nanmean(L.oe(:,12:18),2);
im1 = nanmean(L.om1(:,12:18),2);
im2= nanmean(L.om2(:,12:18),2);
il = nanmean(L.ol(:,12:18),2);

fI = il;
%y = [nanmean(ie) nanmean(im1) nanmean(im2) nanmean(il)]';
%y = -1.*y;
%y = y./y(1);

%f = fit(x,y,'poly1');
%fI = f;
hold on;
%plot(a,x,f(x),'b-','linewidth',1);
%errorbar([3 4],[nanmean(ie) nanmean(il)]./.025,[nanstd(ie) nanstd(il)]./.025,'k.')
%bar([3 4],[nanmean(ie) nanmean(il)]./.025)
errorbar([0.5],[nanmean(il)]./.025,[nanstd(il)]./.025,'k.')
%bar([1],[nanmean(il)]./.025)

p_out = ranksum(il,ie)


nanmean(ie)/.025;
nanmean(il)/.025;
ranksum(ie,il)

end